Debian Bug report logs - #599927
Kernel crashes when I start X on my Dell Latitude D505

version graph

Package: linux-image-2.6.32-5-686; Maintainer for linux-image-2.6.32-5-686 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Petter Reinholdtsen <pere@hungry.com>

Date: Tue, 12 Oct 2010 13:39:01 UTC

Severity: important

Tags: moreinfo

Found in version linux-2.6/2.6.32-23

Fixed in version 2.6.32-24

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599927; Package linux-image-2.6.32-5-686. (Tue, 12 Oct 2010 13:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 12 Oct 2010 13:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: submit@bugs.debian.org
Subject: Kernel crashes when I start X on my Dell Latitude D505
Date: Tue, 12 Oct 2010 15:34:16 +0200
Package: linux-image-2.6.32-5-686
Version: 2.6.32-23
Severity: important

The X server involved is as far as I know xserver-xorg-video-intel
version 2:2.9.1-4.

When I install the current Squeeze on my test laptop, a Dell Latitude
D505, starting kdm kill the machine.

This is what happen when I start X manually when logged in via ssh:

  root@pxe-test0-pre:~# X

  X.Org X Server 1.7.7
  Release Date: 2010-05-04
  X Protocol Version 11, Revision 0
  Build Operating System: Linux 2.6.32-5-686 i686 Debian
  Current Operating System: Linux pxe-test0-pre.uio.no 2.6.32-5-686 #1 SMP Sat Sep 18 02:14:45 UTC 2010 i686
  Kernel command line: BOOT_IMAGE=/vmlinuz-2.6.32-5-686 root=/dev/mapper/vg_system-root ro quiet
  Build Date: 20 September 2010  03:40:46PM
  xorg-server 2:1.7.7-7 (Julien Cristau <jcristau@debian.org>)
  Current version of pixman: 0.16.4
          Before reporting problems, check http://wiki.x.org
          to make sure that you have the latest version.
  Markers: (--) probed, (**) from config file, (==) default setting,
          (++) from command line, (!!) notice, (II) informational,
          (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
  (==) Log file: "/var/log/Xorg.0.log", Time: Tue Oct 12 15:26:01 2010
  (==) Using system config directory "/usr/share/X11/xorg.conf.d"
  (EE) open /dev/fb0: No such file or directory

After this, the network connection is dead and the screen and keyboard
on the laptop is black and dead.

I was a similar problem with Ubuntu earlier, reported at
<URL: https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/592682 >.

As the workaround for Ubuntu mentioned the file
/etc/modprobe.d/i915-kms.conf and changing modeset there, I tried to
change the current 'modeset=1' to 'modeset=0' and ran
'update-initramfs -u' before testing a reboot, but the problem was
still there.

Not quite sure what more to test.  Any suggestions?  I'm unable to get
any kernel messages from the crash.  Tried tailing /var/log/syslog
over ssh, but no messages showed up.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599927; Package linux-image-2.6.32-5-686. (Tue, 12 Oct 2010 14:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 12 Oct 2010 14:15:06 GMT) Full text and rfc822 format available.

Message #10 received at 599927@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Petter Reinholdtsen <pere@hungry.com>, 599927@bugs.debian.org
Subject: Re: Bug#599927: Kernel crashes when I start X on my Dell Latitude D505
Date: Tue, 12 Oct 2010 16:10:21 +0200
[Message part 1 (text/plain, inline)]
On Tue, Oct 12, 2010 at 15:34:16 +0200, Petter Reinholdtsen wrote:

> 
> Package: linux-image-2.6.32-5-686
> Version: 2.6.32-23
> Severity: important
> 
> The X server involved is as far as I know xserver-xorg-video-intel
> version 2:2.9.1-4.
> 
> When I install the current Squeeze on my test laptop, a Dell Latitude
> D505, starting kdm kill the machine.
> 
> This is what happen when I start X manually when logged in via ssh:
> 
>   root@pxe-test0-pre:~# X
> 
>   X.Org X Server 1.7.7
>   Release Date: 2010-05-04
>   X Protocol Version 11, Revision 0
>   Build Operating System: Linux 2.6.32-5-686 i686 Debian
>   Current Operating System: Linux pxe-test0-pre.uio.no 2.6.32-5-686 #1 SMP Sat Sep 18 02:14:45 UTC 2010 i686
>   Kernel command line: BOOT_IMAGE=/vmlinuz-2.6.32-5-686 root=/dev/mapper/vg_system-root ro quiet
>   Build Date: 20 September 2010  03:40:46PM
>   xorg-server 2:1.7.7-7 (Julien Cristau <jcristau@debian.org>)
>   Current version of pixman: 0.16.4
>           Before reporting problems, check http://wiki.x.org
>           to make sure that you have the latest version.
>   Markers: (--) probed, (**) from config file, (==) default setting,
>           (++) from command line, (!!) notice, (II) informational,
>           (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
>   (==) Log file: "/var/log/Xorg.0.log", Time: Tue Oct 12 15:26:01 2010
>   (==) Using system config directory "/usr/share/X11/xorg.conf.d"
>   (EE) open /dev/fb0: No such file or directory
> 
> After this, the network connection is dead and the screen and keyboard
> on the laptop is black and dead.
> 
What hardware is this on?  Please provide X and kernel log.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599927; Package linux-image-2.6.32-5-686. (Tue, 12 Oct 2010 14:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 12 Oct 2010 14:15:08 GMT) Full text and rfc822 format available.

Message #15 received at 599927@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Petter Reinholdtsen <pere@hungry.com>, 599927@bugs.debian.org
Subject: Re: Bug#599927: Kernel crashes when I start X on my Dell Latitude D505
Date: Tue, 12 Oct 2010 15:14:23 +0100
This is extremely short on information.  Please use reportbug.

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus




Added tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 12 Oct 2010 14:15:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599927; Package linux-image-2.6.32-5-686. (Wed, 13 Oct 2010 11:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 13 Oct 2010 11:48:03 GMT) Full text and rfc822 format available.

Message #22 received at 599927@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 599927@bugs.debian.org
Subject: Re: Bug#599927: Kernel crashes when I start X on my Dell Latitude D505
Date: Wed, 13 Oct 2010 13:45:13 +0200
reassign 599927 linux-2.6
found 599927 2.6.32-23
thanks

[Ben Hutchings]
> This is extremely short on information.  Please use reportbug.

Sure.  Here is the info collected by reportbug.  Assume it also
include the kernel log Julien asked for.  This is a freshly installed
Squeeze system.  What more can I do to test and try to pinpoint the
problem?

Reassigning to the package and version suggested by reportbug.

-- Package-specific info:
** Version:
Linux version 2.6.32-5-686 (Debian 2.6.32-23) (dannf@debian.org) (gcc version 4.3.5 (Debian 4.3.5-3) ) #1 SMP Sat Sep 18 02:14:45 UTC 2010

** Command line:
BOOT_IMAGE=/vmlinuz-2.6.32-5-686 root=/dev/mapper/vg_system-root ro quiet

** Not tainted

** Kernel log:
[    6.334153] [drm] Initialized drm 1.1.0 20060810
[    6.347300] phy0: Selected rate control algorithm 'minstrel'
[    6.348448] Registered led device: b43-phy0::tx
[    6.348603] Registered led device: b43-phy0::rx
[    6.348654] Registered led device: b43-phy0::radio
[    6.349082] Broadcom 43xx driver loaded [ Features: PMLS, Firmware-ID: FW13 ]
[    6.455516] pcmcia_socket pcmcia_socket0: cs: IO port probe 0x100-0x3af: clean.
[    6.456563] pcmcia_socket pcmcia_socket0: cs: IO port probe 0x3e0-0x4ff: clean.
[    6.457301] pcmcia_socket pcmcia_socket0: cs: IO port probe 0x820-0x8ff: clean.
[    6.457360] pcmcia_socket pcmcia_socket0: cs: IO port probe 0xc00-0xcf7: clean.
[    6.457819] pcmcia_socket pcmcia_socket0: cs: IO port probe 0xa00-0xaff: clean.
[    6.499257] pci 0000:00:02.0: PCI INT A -> Link[LNKA] -> GSI 11 (level, low) -> IRQ 11
[    6.499264] pci 0000:00:02.0: setting latency timer to 64
[    6.504554] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0
[    6.520710] Intel ICH 0000:00:1f.5: PCI INT B -> Link[LNKB] -> GSI 5 (level, low) -> IRQ 5
[    6.520750] Intel ICH 0000:00:1f.5: setting latency timer to 64
[    7.348031] intel8x0_measure_ac97_clock: measured 55245 usecs (2662 samples)
[    7.348035] intel8x0: clocking to 48000
[    7.349274] Intel ICH Modem 0000:00:1f.6: PCI INT B -> Link[LNKB] -> GSI 5 (level, low) -> IRQ 5
[    7.349291] Intel ICH Modem 0000:00:1f.6: setting latency timer to 64
[    7.452166] MC'97 1 converters and GPIO not ready (0xff00)
[    7.742844] EXT3 FS on dm-0, internal journal
[    7.838228] loop: module loaded
[    7.884901] fuse init (API version 7.13)
[    9.011457] Adding 3997688k swap on /dev/mapper/vg_system-swap_1.  Priority:-1 extents:1 across:3997688k 
[   14.898484] kjournald starting.  Commit interval 5 seconds
[   14.898758] EXT3 FS on sda1, internal journal
[   14.898764] EXT3-fs: mounted filesystem with ordered data mode.
[   14.958830] kjournald starting.  Commit interval 5 seconds
[   14.959109] EXT3 FS on dm-4, internal journal
[   14.959114] EXT3-fs: mounted filesystem with ordered data mode.
[   15.000230] kjournald starting.  Commit interval 5 seconds
[   15.000494] EXT3 FS on dm-8, internal journal
[   15.000498] EXT3-fs: mounted filesystem with ordered data mode.
[   15.044450] kjournald starting.  Commit interval 5 seconds
[   15.044761] EXT3 FS on dm-6, internal journal
[   15.044766] EXT3-fs: mounted filesystem with ordered data mode.
[   15.100210] kjournald starting.  Commit interval 5 seconds
[   15.100503] EXT3 FS on dm-1, internal journal
[   15.100507] EXT3-fs: mounted filesystem with ordered data mode.
[   15.155516] kjournald starting.  Commit interval 5 seconds
[   15.155825] EXT3 FS on dm-2, internal journal
[   15.155830] EXT3-fs: mounted filesystem with ordered data mode.
[   15.232935] kjournald starting.  Commit interval 5 seconds
[   15.233167] EXT3 FS on dm-5, internal journal
[   15.233171] EXT3-fs: mounted filesystem with ordered data mode.
[   15.346647] kjournald starting.  Commit interval 5 seconds
[   15.346914] EXT3 FS on dm-7, internal journal
[   15.346918] EXT3-fs: mounted filesystem with ordered data mode.
[   18.129141] ADDRCONF(NETDEV_UP): eth0: link is not ready
[   18.132149] e100: eth0 NIC Link is Up 100 Mbps Full Duplex
[   18.132256] ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[   23.814261] RPC: Registered udp transport module.
[   23.814265] RPC: Registered tcp transport module.
[   23.814267] RPC: Registered tcp NFSv4.1 backchannel transport module.
[   23.872861] Slow work thread pool: Starting up
[   23.872913] Slow work thread pool: Ready
[   23.872988] FS-Cache: Loaded
[   23.933274] FS-Cache: Netfs 'nfs' registered for caching
[   23.976484] Installing knfsd (copyright (C) 1996 okir@monad.swb.de).
[   28.171881] input: ACPI Virtual Keyboard Device as /devices/virtual/input/input9
[   28.228026] eth0: no IPv6 routers present
[   29.568061] b43 ssb0:0: firmware: requesting b43/ucode5.fw
[   29.601732] b43 ssb0:0: firmware: requesting b43-open/ucode5.fw
[   29.609602] b43-phy0 ERROR: Firmware file "b43/ucode5.fw" not found
[   29.609680] b43-phy0 ERROR: Firmware file "b43-open/ucode5.fw" not found
[   29.609742] b43-phy0 ERROR: You must go to http://wireless.kernel.org/en/users/Drivers/b43#devicefirmware and download the correct firmware for this driver version. Please carefully read all instructions on this website.
[   29.703863] b43 ssb0:0: firmware: requesting b43/ucode5.fw
[   29.713514] b43 ssb0:0: firmware: requesting b43-open/ucode5.fw
[   29.716517] b43-phy0 ERROR: Firmware file "b43/ucode5.fw" not found
[   29.716583] b43-phy0 ERROR: Firmware file "b43-open/ucode5.fw" not found
[   29.716646] b43-phy0 ERROR: You must go to http://wireless.kernel.org/en/users/Drivers/b43#devicefirmware and download the correct firmware for this driver version. Please carefully read all instructions on this website.
[   32.716834] apm: BIOS not found.
[   33.830184] lp0: using parport0 (interrupt-driven).
[   34.180385] Bluetooth: Core ver 2.15
[   34.182725] ppdev: user-space parallel port driver
[   34.182943] NET: Registered protocol family 31
[   34.182946] Bluetooth: HCI device and connection manager initialized
[   34.182949] Bluetooth: HCI socket layer initialized
[   34.328267] Bluetooth: L2CAP ver 2.14
[   34.328271] Bluetooth: L2CAP socket layer initialized
[   34.707265] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   34.707269] Bluetooth: BNEP filters: protocol multicast
[   34.816673] Bridge firewalling registered
[   35.111457] Bluetooth: SCO (Voice Link) ver 0.6
[   35.111461] Bluetooth: SCO socket layer initialized
[   35.888321] ip_tables: (C) 2000-2006 Netfilter Core Team
[   35.982305] nf_conntrack version 0.5.0 (8021 buckets, 32084 max)
[   35.983088] CONFIG_NF_CT_ACCT is deprecated and will be removed soon. Please use
[   35.983092] nf_conntrack.acct=1 kernel parameter, acct=1 nf_conntrack module option or
[   35.983095] sysctl net.netfilter.nf_conntrack_acct=1 to enable it.
[   38.255134] svc: failed to register lockdv1 RPC service (errno 97).
[   38.257236] NFSD: Using /var/lib/nfs/v4recovery as the NFSv4 state recovery directory
[   38.267510] NFSD: starting 90-second grace period
[  895.000540] e100: eth0 NIC Link is Down
[77195.000369] e100: eth0 NIC Link is Up 100 Mbps Full Duplex
[77199.629458] ADDRCONF(NETDEV_UP): eth0: link is not ready
[77199.632169] e100: eth0 NIC Link is Up 100 Mbps Full Duplex
[77199.632436] ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[77210.100240] eth0: no IPv6 routers present

** Model information
not available

** Loaded modules:
Module                  Size  Used by
ipt_MASQUERADE          1134  1 
iptable_nat             3551  1 
nf_nat                 10568  2 ipt_MASQUERADE,iptable_nat
nf_conntrack_ipv4       7597  3 iptable_nat,nf_nat
nf_conntrack           38075  4 ipt_MASQUERADE,iptable_nat,nf_nat,nf_conntrack_ipv4
nf_defrag_ipv4           779  1 nf_conntrack_ipv4
ip_tables               7690  1 iptable_nat
x_tables                8327  3 ipt_MASQUERADE,iptable_nat,ip_tables
acpi_cpufreq            4943  0 
cpufreq_stats           1940  0 
cpufreq_userspace       1480  0 
cpufreq_powersave        602  0 
cpufreq_conservative     4018  0 
sco                     5857  2 
bridge                 32987  0 
stp                      996  1 bridge
bnep                    7444  2 
l2cap                  21705  3 bnep
crc16                   1027  1 l2cap
ppdev                   4058  0 
bluetooth              36319  5 sco,bnep,l2cap
lp                      5570  0 
binfmt_misc             4907  1 
uinput                  4796  1 
nfsd                  193279  13 
exportfs                2618  1 nfsd
nfs                   206910  0 
lockd                  49437  2 nfsd,nfs
fscache                24662  1 nfs
nfs_acl                 1695  2 nfsd,nfs
auth_rpcgss            25240  2 nfsd,nfs
sunrpc                134584  12 nfsd,nfs,lockd,nfs_acl,auth_rpcgss
fuse                   43762  1 
loop                    9765  0 
firewire_sbp2           9647  0 
snd_intel8x0m           8100  0 
snd_intel8x0           19555  0 
snd_ac97_codec         79148  2 snd_intel8x0m,snd_intel8x0
i915                  221927  0 
ac97_bus                 710  1 snd_ac97_codec
drm_kms_helper         18305  1 i915
snd_pcm_oss            28671  0 
arc4                     974  2 
snd_seq_midi            3576  0 
drm                   112088  2 i915,drm_kms_helper
ecb                     1405  2 
joydev                  6771  0 
snd_rawmidi            12513  1 snd_seq_midi
b43                   132595  0 
mac80211              123574  1 b43
dell_laptop             1533  0 
snd_mixer_oss          10461  1 snd_pcm_oss
snd_seq_midi_event      3684  1 snd_seq_midi
cfg80211               87661  2 b43,mac80211
yenta_socket           16403  1 
rsrc_nonstatic          7057  1 yenta_socket
i2c_algo_bit            3497  1 i915
snd_pcm                47226  4 snd_intel8x0m,snd_intel8x0,snd_ac97_codec,snd_pcm_oss
rfkill                 10264  4 bluetooth,dell_laptop,cfg80211
snd_seq                35463  3 snd_seq_midi,snd_seq_midi_event
led_class               1757  1 b43
psmouse                44657  0 
snd_seq_device          3673  3 snd_seq_midi,snd_rawmidi,snd_seq
shpchp                 21220  0 
snd_timer              12258  2 snd_pcm,snd_seq
i2c_core               12696  4 i915,drm_kms_helper,drm,i2c_algo_bit
parport_pc             15799  1 
parport                22554  3 ppdev,lp,parport_pc
snd                    34363  11 snd_intel8x0m,snd_intel8x0,snd_ac97_codec,snd_pcm_oss,snd_rawmidi,snd_mixer_oss,snd_pcm,snd_seq,snd_seq_device,snd_timer
serio_raw               2916  0 
pcspkr                  1207  0 
evdev                   5609  14 
dcdbas                  3892  1 dell_laptop
soundcore               3450  1 snd
rng_core                2178  1 b43
pci_hotplug            18065  1 shpchp
video                  14605  1 i915
battery                 3782  0 
processor              26671  2 acpi_cpufreq
ac                      1640  0 
snd_page_alloc          5045  3 snd_intel8x0m,snd_intel8x0,snd_pcm
output                  1204  1 video
button                  3598  1 i915
ext3                   94204  9 
jbd                    32177  1 ext3
mbcache                 3762  1 ext3
dm_mod                 46094  27 
sg                     15968  0 
sr_mod                 10770  0 
sd_mod                 25869  3 
crc_t10dif              1012  1 sd_mod
cdrom                  26487  1 sr_mod
ata_generic             2019  0 
uhci_hcd               16057  0 
ssb                    33686  1 b43
mmc_core               38491  2 b43,ssb
ata_piix               17736  2 
ehci_hcd               27851  0 
thermal                 9206  0 
firewire_ohci          16509  0 
pcmcia                 16194  2 b43,ssb
e100                   22317  0 
libata                115721  2 ata_generic,ata_piix
usbcore                98397  3 uhci_hcd,ehci_hcd
thermal_sys             9378  3 video,processor,thermal
firewire_core          31187  2 firewire_sbp2,firewire_ohci
crc_itu_t               1035  1 firewire_core
mii                     2714  1 e100
pcmcia_core            20450  5 b43,yenta_socket,rsrc_nonstatic,ssb,pcmcia
scsi_mod              101401  5 firewire_sbp2,sg,sr_mod,sd_mod,libata
nls_base                4541  1 usbcore

** Network interface configuration:

auto lo
iface lo inet loopback
    dns-search intern

auto eth0
iface eth0:1 inet static
    address 10.0.2.2
    netmask 255.255.254.0
    broadcast 10.0.3.255
    gateway 10.0.2.1
iface eth0 inet dhcp

auto eth1
iface eth1 inet static
    address 192.168.0.254
    netmask 255.255.255.0
    broadcast 192.168.0.255

** Network status:
*** IP interfaces and addresses:
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
    link/ether 00:0f:1f:c9:66:72 brd ff:ff:ff:ff:ff:ff
    inet 129.240.203.141/23 brd 129.240.203.255 scope global eth0
    inet6 fe80::20f:1fff:fec9:6672/64 scope link 
       valid_lft forever preferred_lft forever
3: wlan0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN qlen 1000
    link/ether 00:0b:7d:0a:38:21 brd ff:ff:ff:ff:ff:ff
4: pan0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN 
    link/ether 8a:4d:f5:44:ca:02 brd ff:ff:ff:ff:ff:ff

*** Device statistics:
Inter-|   Receive                                                |  Transmit
 face |bytes    packets errs drop fifo frame compressed multicast|bytes    packets errs drop fifo colls carrier compressed
    lo: 1641339   14857    0    0    0     0          0         0  1641339   14857    0    0    0     0       0          0
  eth0: 5598707   49187    0    0    0     0          0         0  4548957   39373    0    0    0     0       0          0
 wlan0:       0       0    0    0    0     0          0         0        0       0    0    0    0     0       0          0
  pan0:       0       0    0    0    0     0          0         0        0       0    0    0    0     0       0          0

*** Protocol statistics:
Ip:
    56515 total packets received
    9 with invalid addresses
    0 forwarded
    0 incoming packets discarded
    56438 incoming packets delivered
    60751 requests sent out
    43 dropped because of missing route
Icmp:
    8643 ICMP messages received
    3673 input ICMP message failed.
    ICMP input histogram:
        destination unreachable: 8638
        echo replies: 5
    8374 ICMP messages sent
    0 ICMP messages failed
    ICMP output histogram:
        destination unreachable: 8369
        echo request: 5
IcmpMsg:
        InType0: 5
        InType3: 8638
        OutType3: 8369
        OutType8: 5
Tcp:
    4103 active connections openings
    172 passive connection openings
    59 failed connection attempts
    4198 connection resets received
    6 connections established
    24622 segments received
    23069 segments send out
    110 segments retransmited
    0 bad segments received.
    1023 resets sent
Udp:
    25534 packets received
    14 packets to unknown port received.
    476 packet receive errors
    28323 packets sent
    RcvbufErrors: 476
UdpLite:
TcpExt:
    19 resets received for embryonic SYN_RECV sockets
    25 ICMP packets dropped because they were out-of-window
    7 TCP sockets finished time wait in fast timer
    346 delayed acks sent
    13 packets directly queued to recvmsg prequeue.
    15 bytes directly received in process context from prequeue
    4619 packet headers predicted
    4482 acknowledgments not containing data payload received
    631 predicted acknowledgments
    40 other TCP timeouts
    1 connections reset due to unexpected data
    6 connections aborted due to timeout
IpExt:
    InNoRoutes: 4
    InMcastPkts: 879
    OutMcastPkts: 55
    InBcastPkts: 4705
    OutBcastPkts: 1571
    InOctets: 6152933
    OutOctets: 6372453
    InMcastOctets: 58744
    OutMcastOctets: 11416
    InBcastOctets: 550782
    OutBcastOctets: 242616

*** Device features:
eth0: 0x0
lo: 0x13865
pan0: 0xff3865
wlan0: 0x2000

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller [8086:3580] (rev 02)
	Subsystem: Dell Latitude D505 [1028:0163]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Region 0: Memory at <unassigned> (32-bit, prefetchable)
	Capabilities: [40] Vendor Specific Information: Len=05 <?>
	Kernel driver in use: agpgart-intel

00:00.1 System peripheral [0880]: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller [8086:3584] (rev 02)
	Subsystem: Dell Latitude D505 [1028:0163]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:00.3 System peripheral [0880]: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller [8086:3585] (rev 02)
	Subsystem: Dell Latitude D505 [1028:0163]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:02.0 VGA compatible controller [0300]: Intel Corporation 82852/855GM Integrated Graphics Device [8086:3582] (rev 02) (prog-if 00 [VGA controller])
	Subsystem: Dell Latitude D505 [1028:0163]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at f0000000 (32-bit, prefetchable) [size=128M]
	Region 1: Memory at faf80000 (32-bit, non-prefetchable) [size=512K]
	Region 2: I/O ports at c000 [size=8]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: [d0] Power Management version 1
		Flags: PMEClk- DSI+ D1+ D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-

00:02.1 Display controller [0380]: Intel Corporation 82852/855GM Integrated Graphics Device [8086:3582] (rev 02)
	Subsystem: Dell Latitude D505 [1028:0163]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Region 0: Memory at e8000000 (32-bit, prefetchable) [size=128M]
	Region 1: Memory at faf00000 (32-bit, non-prefetchable) [size=512K]
	Capabilities: [d0] Power Management version 1
		Flags: PMEClk- DSI+ D1+ D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-

00:1d.0 USB Controller [0c03]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1 [8086:24c2] (rev 01) (prog-if 00 [UHCI])
	Subsystem: Dell Latitude D505 [1028:0163]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 11
	Region 4: I/O ports at bf80 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.1 USB Controller [0c03]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2 [8086:24c4] (rev 01) (prog-if 00 [UHCI])
	Subsystem: Dell Latitude D505 [1028:0163]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 11
	Region 4: I/O ports at bf40 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.2 USB Controller [0c03]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #3 [8086:24c7] (rev 01) (prog-if 00 [UHCI])
	Subsystem: Dell Latitude D505 [1028:0163]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 11
	Region 4: I/O ports at bf20 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.7 USB Controller [0c03]: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI Controller [8086:24cd] (rev 01) (prog-if 20 [EHCI])
	Subsystem: Dell Latitude D505 [1028:0163]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 11
	Region 0: Memory at faeffc00 (32-bit, non-prefetchable) [size=1K]
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [58] Debug port: BAR=1 offset=0080
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev 81) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR+ INTx-
	Latency: 0
	Bus: primary=00, secondary=01, subordinate=05, sec-latency=32
	I/O behind bridge: 0000e000-0000efff
	Memory behind bridge: fc000000-fdffffff
	Prefetchable memory behind bridge: 20000000-23ffffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-

00:1f.0 ISA bridge [0601]: Intel Corporation 82801DBM (ICH4-M) LPC Interface Bridge [8086:24cc] (rev 01)
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:1f.1 IDE interface [0101]: Intel Corporation 82801DBM (ICH4-M) IDE Controller [8086:24ca] (rev 01) (prog-if 8a [Master SecP PriP])
	Subsystem: Dell Latitude D505 [1028:0163]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 11
	Region 0: I/O ports at 01f0 [size=8]
	Region 1: I/O ports at 03f4 [size=1]
	Region 2: I/O ports at 0170 [size=8]
	Region 3: I/O ports at 0374 [size=1]
	Region 4: I/O ports at bfa0 [size=16]
	Region 5: Memory at 24000000 (32-bit, non-prefetchable) [size=1K]
	Kernel driver in use: ata_piix

00:1f.5 Multimedia audio controller [0401]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller [8086:24c5] (rev 01)
	Subsystem: Dell Latitude D505 [1028:0163]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 5
	Region 0: I/O ports at d800 [size=256]
	Region 1: I/O ports at dc40 [size=64]
	Region 2: Memory at faeff800 (32-bit, non-prefetchable) [size=512]
	Region 3: Memory at faeff400 (32-bit, non-prefetchable) [size=256]
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: Intel ICH

00:1f.6 Modem [0703]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Modem Controller [8086:24c6] (rev 01) (prog-if 00 [Generic])
	Subsystem: Conexant Systems, Inc. D480 MDC V.9x Modem [14f1:5422]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 5
	Region 0: I/O ports at d400 [size=256]
	Region 1: I/O ports at d080 [size=128]
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: Intel ICH Modem

01:01.0 CardBus bridge [0607]: Texas Instruments PCI4510 PC card Cardbus Controller [104c:ac44] (rev 02)
	Subsystem: Dell Latitude D505 [1028:0163]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 168, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at fc000000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=01, secondary=02, subordinate=05, sec-latency=176
	Memory window 0: 20000000-23fff000 (prefetchable)
	Memory window 1: 28000000-2bfff000
	I/O window 0: 0000e000-0000e0ff
	I/O window 1: 0000e400-0000e4ff
	BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset+ 16bInt+ PostWrite+
	16-bit legacy interface ports at 0001
	Kernel driver in use: yenta_cardbus

01:01.1 FireWire (IEEE 1394) [0c00]: Texas Instruments PCI4510 IEEE-1394 Controller [104c:8029] (prog-if 10 [OHCI])
	Subsystem: Dell Latitude D505 [1028:0163]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (500ns min, 1000ns max), Cache Line Size: 32 bytes
	Interrupt: pin B routed to IRQ 11
	Region 0: Memory at fcfff800 (32-bit, non-prefetchable) [size=2K]
	Region 1: Memory at fcff8000 (32-bit, non-prefetchable) [size=16K]
	Capabilities: [44] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0+,D1+,D2+,D3hot+,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME+
	Kernel driver in use: firewire_ohci

01:03.0 Network controller [0280]: Broadcom Corporation BCM4306 802.11b/g Wireless LAN Controller [14e4:4320] (rev 03)
	Subsystem: Dell Wireless 1350 WLAN Mini-PCI Card [1028:0003]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32
	Interrupt: pin A routed to IRQ 5
	Region 0: Memory at fcffc000 (32-bit, non-prefetchable) [size=8K]
	Kernel driver in use: b43-pci-bridge

01:08.0 Ethernet controller [0200]: Intel Corporation 82801DB PRO/100 VE (MOB) Ethernet Controller [8086:103d] (rev 81)
	Subsystem: Dell Latitude D500 [1028:2002]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (2000ns min, 14000ns max), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at fcffe000 (32-bit, non-prefetchable) [size=4K]
	Region 1: I/O ports at ecc0 [size=64]
	Capabilities: [dc] Power Management version 2
		Flags: PMEClk- DSI+ D1+ D2+ AuxCurrent=0mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=2 PME-
	Kernel driver in use: e100


** USB devices:
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=nb_NO.UTF-8, LC_CTYPE=nb_NO.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.32-5-686 depends on:
ii  debconf [debconf-2.0]         1.5.35     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.98.4     tools for generating an initramfs
ii  linux-base                    2.6.32-23  Linux image base package
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo

Versions of packages linux-image-2.6.32-5-686 recommends:
pn  firmware-linux-free           <none>     (no description available)
ii  libc6-i686                    2.11.2-6   Embedded GNU C Library: Shared lib

Versions of packages linux-image-2.6.32-5-686 suggests:
pn  grub | lilo                   <none>     (no description available)
pn  linux-doc-2.6.32              <none>     (no description available)

Versions of packages linux-image-2.6.32-5-686 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
pn  firmware-linux                <none>     (no description available)
pn  firmware-linux-nonfree        <none>     (no description available)
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
  linux-image-2.6.32-5-686/prerm/removing-running-kernel-2.6.32-5-686: true
  linux-image-2.6.32-5-686/postinst/depmod-error-initrd-2.6.32-5-686: false
  linux-image-2.6.32-5-686/postinst/ignoring-do-bootloader-2.6.32-5-686:
  linux-image-2.6.32-5-686/postinst/missing-firmware-2.6.32-5-686:





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599927; Package linux-image-2.6.32-5-686. (Wed, 13 Oct 2010 12:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 13 Oct 2010 12:30:03 GMT) Full text and rfc822 format available.

Message #27 received at 599927@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Petter Reinholdtsen <pere@hungry.com>, 599927@bugs.debian.org
Subject: Re: Bug#599927: Kernel crashes when I start X on my Dell Latitude D505
Date: Wed, 13 Oct 2010 14:27:17 +0200
[Message part 1 (text/plain, inline)]
On Wed, Oct 13, 2010 at 13:45:13 +0200, Petter Reinholdtsen wrote:

> reassign 599927 linux-2.6
> found 599927 2.6.32-23
> thanks
> 
> [Ben Hutchings]
> > This is extremely short on information.  Please use reportbug.
> 
> Sure.  Here is the info collected by reportbug.  Assume it also
> include the kernel log Julien asked for.  This is a freshly installed
> Squeeze system.  What more can I do to test and try to pinpoint the
> problem?
> 
Install the kernel and xserver-xorg-video-intel from sid.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599927; Package linux-image-2.6.32-5-686. (Wed, 13 Oct 2010 12:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 13 Oct 2010 12:45:05 GMT) Full text and rfc822 format available.

Message #32 received at 599927@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 599927@bugs.debian.org
Subject: Re: Bug#599927: Kernel crashes when I start X on my Dell Latitude D505
Date: Wed, 13 Oct 2010 14:42:59 +0200
[Julien Cristau]
> Install the kernel and xserver-xorg-video-intel from sid.

Good idea.  Upgraded these packages from Sid:

http://ftp.skolelinux.org/debian/ sid/main linux-base all 2.6.32-24 [158 kB]
http://ftp.skolelinux.org/debian/ sid/main linux-image-2.6.32-5-686 i386 2.6.32-24 [26,9 MB]
http://ftp.skolelinux.org/debian/ sid/main libx11-xcb1 i386 2:1.3.3-3 [89,6 kB]
http://ftp.skolelinux.org/debian/ sid/main libxcb-dri2-0 i386 1.6-1 [9 726 B]
http://ftp.skolelinux.org/debian/ sid/main xserver-xorg-video-intel i386 2:2.12.0+shadow-2

After a quick reboot, the kernel no longer crashes, but X do not start
either.

root@pxe-test0-pre:~# X

X.Org X Server 1.7.7
Release Date: 2010-05-04
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.32-5-686 i686 Debian
Current Operating System: Linux pxe-test0-pre.uio.no 2.6.32-5-686 #1 SMP Thu Sep 30 03:56:23 UTC 2010 i686
Kernel command line: BOOT_IMAGE=/vmlinuz-2.6.32-5-686 root=/dev/mapper/vg_system-root ro quiet
Build Date: 20 September 2010  03:40:46PM
xorg-server 2:1.7.7-7 (Julien Cristau <jcristau@debian.org>)
Current version of pixman: 0.16.4
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Wed Oct 13 14:35:27 2010
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
(EE) open /dev/fb0: No such file or directory
(EE) intel(0): No kernel modesetting driver detected.
(EE) Screen(s) found, but none have a usable configuration.

Fatal server error:
no screens found

Please consult the The X.Org Foundation support
         at http://wiki.x.org
 for help.
Please also check the log file at "/var/log/Xorg.0.log" for additional information.

root@pxe-test0-pre:~# cat /var/log/Xorg.0.log

X.Org X Server 1.7.7
Release Date: 2010-05-04
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.32-5-686 i686 Debian
Current Operating System: Linux pxe-test0-pre.uio.no 2.6.32-5-686 #1 SMP Thu Sep 30 03:56:23 UTC 2010 i686
Kernel command line: BOOT_IMAGE=/vmlinuz-2.6.32-5-686 root=/dev/mapper/vg_system-root ro quiet
Build Date: 20 September 2010  03:40:46PM
xorg-server 2:1.7.7-7 (Julien Cristau <jcristau@debian.org>)
Current version of pixman: 0.16.4
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Wed Oct 13 14:35:27 2010
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
(==) No Layout section.  Using the first Screen section.
(==) No screen section available. Using defaults.
(**) |-->Screen "Default Screen Section" (0)
(**) |   |-->Monitor "<default monitor>"
(==) No monitor specified for screen "Default Screen Section".
        Using a default monitor configuration.
(==) Automatically adding devices
(==) Automatically enabling devices
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
        Entry deleted from font path.
(==) FontPath set to:
        /usr/share/fonts/X11/misc,
        /usr/share/fonts/X11/100dpi/:unscaled,
        /usr/share/fonts/X11/75dpi/:unscaled,
        /usr/share/fonts/X11/Type1,
        /usr/share/fonts/X11/100dpi,
        /usr/share/fonts/X11/75dpi,
        /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
        built-ins
(==) ModulePath set to "/usr/lib/xorg/modules"
(II) The server relies on udev to provide the list of input devices.
        If no devices become available, reconfigure udev or disable AutoAddDevices.
(II) Loader magic: 0x81ea020
(II) Module ABI versions:
        X.Org ANSI C Emulation: 0.4
        X.Org Video Driver: 6.0
        X.Org XInput driver : 7.0
        X.Org Server Extension : 2.0
(--) using VT number 7

(--) PCI:*(0:0:2:0) 8086:3582:1028:0163 Intel Corporation 82852/855GM Integrated Graphics Device rev 2, Mem @ 0xf0000000/134217728, 0xfaf80000/524288, I/O @ 0x0000c000/8
(--) PCI: (0:0:2:1) 8086:3582:1028:0163 Intel Corporation 82852/855GM Integrated Graphics Device rev 2, Mem @ 0xe8000000/134217728, 0xfaf00000/524288
(II) Open ACPI successful (/var/run/acpid.socket)
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
        compiled for 1.7.7, module version = 1.0.0
        Module class: X.Org Server Extension
        ABI class: X.Org Server Extension, version 2.0
(II) Loading extension SELinux
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
        compiled for 1.7.7, module version = 1.0.0
        Module class: X.Org Server Extension
        ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions/libglx.so
(II) Module glx: vendor="X.Org Foundation"
        compiled for 1.7.7, module version = 1.0.0
        ABI class: X.Org Server Extension, version 2.0
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions/librecord.so
(II) Module record: vendor="X.Org Foundation"
        compiled for 1.7.7, module version = 1.13.0
        Module class: X.Org Server Extension
        ABI class: X.Org Server Extension, version 2.0
(II) Loading extension RECORD
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions/libdri.so
(II) Module dri: vendor="X.Org Foundation"
        compiled for 1.7.7, module version = 1.0.0
        ABI class: X.Org Server Extension, version 2.0
(II) Loading extension XFree86-DRI
(II) LoadModule: "dri2"
(II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
(II) Module dri2: vendor="X.Org Foundation"
        compiled for 1.7.7, module version = 1.1.0
        ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DRI2
(==) Matched intel as autoconfigured driver 0
(==) Matched vesa as autoconfigured driver 1
(==) Matched fbdev as autoconfigured driver 2
(==) Assigned the driver to the xf86ConfigLayout
(II) LoadModule: "intel"
(II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so
(II) Module intel: vendor="X.Org Foundation"
        compiled for 1.7.7, module version = 2.12.0
        Module class: X.Org Video Driver
        ABI class: X.Org Video Driver, version 6.0
(II) LoadModule: "vesa"
(II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
(II) Module vesa: vendor="X.Org Foundation"
        compiled for 1.7.7, module version = 2.3.0
        Module class: X.Org Video Driver
        ABI class: X.Org Video Driver, version 6.0
(II) LoadModule: "fbdev"
(II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
(II) Module fbdev: vendor="X.Org Foundation"
        compiled for 1.7.6.901, module version = 0.4.2
        ABI class: X.Org Video Driver, version 6.0
(II) intel: Driver for Intel Integrated Graphics Chipsets: i810,
        i810-dc100, i810e, i815, i830M, 845G, 854, 852GM/855GM, 865G, 915G,
        E7221 (i915), 915GM, 945G, 945GM, 945GME, Pineview GM, Pineview G,
        965G, G35, 965Q, 946GZ, 965GM, 965GME/GLE, G33, Q35, Q33, GM45,
        4 Series, G45/G43, Q45/Q43, G41, B43, B43, Clarkdale, Arrandale,
        Sandybridge, Sandybridge, Sandybridge, Sandybridge, Sandybridge,
        Sandybridge, Sandybridge
(II) VESA: driver for VESA chipsets: vesa
(II) FBDEV: driver for framebuffer: fbdev
(II) Primary Device is: PCI 00@00:02:0
(WW) Falling back to old probe method for vesa
(WW) Falling back to old probe method for fbdev
(II) Loading sub module "fbdevhw"
(II) LoadModule: "fbdevhw"
(II) Loading /usr/lib/xorg/modules/linux/libfbdevhw.so
(II) Module fbdevhw: vendor="X.Org Foundation"
        compiled for 1.7.7, module version = 0.0.2
        ABI class: X.Org Video Driver, version 6.0
(EE) open /dev/fb0: No such file or directory
(EE) intel(0): No kernel modesetting driver detected.
(II) UnloadModule: "intel"
(EE) Screen(s) found, but none have a usable configuration.

Fatal server error:
no screens found

Please consult the The X.Org Foundation support
         at http://wiki.x.org
 for help.
Please also check the log file at "/var/log/Xorg.0.log" for additional information.

root@pxe-test0-pre:~#


Next I tried to modify /etc/modprobe.d/i915-kms.conf, changing
modeset=0 to modeset=1.  With that change in place, X starts, but the
screen is black.

root@pxe-test0-pre:~# X

X.Org X Server 1.7.7
Release Date: 2010-05-04
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.32-5-686 i686 Debian
Current Operating System: Linux pxe-test0-pre.uio.no 2.6.32-5-686 #1 SMP Thu Sep 30 03:56:23 UTC 2010 i686
Kernel command line: BOOT_IMAGE=/vmlinuz-2.6.32-5-686 root=/dev/mapper/vg_system-root ro quiet
Build Date: 20 September 2010  03:40:46PM
xorg-server 2:1.7.7-7 (Julien Cristau <jcristau@debian.org>)
Current version of pixman: 0.16.4
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Wed Oct 13 14:39:56 2010
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
FATAL: Module fbcon not found.
SELinux: Disabled on system, not enabling in X server
The XKEYBOARD keymap compiler (xkbcomp) reports:
> Warning:          Type "ONE_LEVEL" has 1 levels, but <RALT> has 2 symbols
>                   Ignoring extra symbols
Errors from xkbcomp are not fatal to the X server
AlpsPS/2 ALPS GlidePoint no synaptics event device found
Query no Synaptics: 6003C8
(EE) AlpsPS/2 ALPS GlidePoint Unable to query/initialize Synaptics hardware.
(EE) PreInit failed for input device "AlpsPS/2 ALPS GlidePoint"

^C
root@pxe-test0-pre:~#

When I now start kdm, the login screen show up as it should.  I guess
the default X screen was just black, and starting kdm changed the
colors to something more interesting. :)

I guess the conclusion is that the kernel and intel Xorg driver in Sid
work just fine.  I hope the new packages make it into Squeeze.

Happy hacking,
-- 
Petter Reinholdtsen




Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Wed, 13 Oct 2010 12:51:09 GMT) Full text and rfc822 format available.

Notification sent to Petter Reinholdtsen <pere@hungry.com>:
Bug acknowledged by developer. (Wed, 13 Oct 2010 12:51:09 GMT) Full text and rfc822 format available.

Message #37 received at 599927-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Petter Reinholdtsen <pere@hungry.com>, 599927-done@bugs.debian.org
Subject: Re: Bug#599927: Kernel crashes when I start X on my Dell Latitude D505
Date: Wed, 13 Oct 2010 14:48:32 +0200
[Message part 1 (text/plain, inline)]
Version: 2.6.32-24

On Wed, Oct 13, 2010 at 14:42:59 +0200, Petter Reinholdtsen wrote:

> When I now start kdm, the login screen show up as it should.  I guess
> the default X screen was just black, and starting kdm changed the
> colors to something more interesting. :)
> 
Yes, X comes up with a black screen and no cursor by default (not very
helpful for debugging, but oh well).  X -retro brings back the old
stipple and cross-shaped cursor.

> I guess the conclusion is that the kernel and intel Xorg driver in Sid
> work just fine.  I hope the new packages make it into Squeeze.
> 
They will.  Thanks for testing.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 11 Nov 2010 07:31:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 06:50:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.